# GravityTag | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class GravityTag

#### Hierarchy (view full)

- ArenaTag
  - GravityTag

- Defined in src/data/arena-tag.ts:629

#####
Index

### Constructors

constructor

### Properties

side
sourceId
sourceMove
tagType
turnCount

### Methods

apply
getMoveName
lapse
onAdd
onOverlap
onRemove

## Constructors

### constructor

- new GravityTag(turnCount): GravityTag

- #### Parameters

  - turnCount: number

  #### Returns GravityTag

  Overrides ArenaTag.constructor

  - Defined in src/data/arena-tag.ts:630

## Properties

### side

side: ArenaTagSide

Inherited from ArenaTag.side

- Defined in src/data/arena-tag.ts:30

### sourceId

sourceId: number

Inherited from ArenaTag.sourceId

- Defined in src/data/arena-tag.ts:29

### sourceMove

sourceMove: Moves

Inherited from ArenaTag.sourceMove

- Defined in src/data/arena-tag.ts:28

### tagType

tagType: ArenaTagType

Inherited from ArenaTag.tagType

- Defined in src/data/arena-tag.ts:26

### turnCount

turnCount: number

Inherited from ArenaTag.turnCount

- Defined in src/data/arena-tag.ts:27

## Methods

### apply

- apply(arena, args): boolean

- #### Parameters

  - arena: Arena
  - args: any[]

  #### Returns boolean

  Inherited from ArenaTag.apply

  - Defined in src/data/arena-tag.ts:41

### getMoveName

- getMoveName(): string

- #### Returns string

  Inherited from ArenaTag.getMoveName

  - Defined in src/data/arena-tag.ts:59

### lapse

- lapse(arena): boolean

- #### Parameters

  - arena: Arena

  #### Returns boolean

  Inherited from ArenaTag.lapse

  - Defined in src/data/arena-tag.ts:55

### onAdd

- onAdd(arena): void

- #### Parameters

  - arena: Arena

  #### Returns void

  Overrides ArenaTag.onAdd

  - Defined in src/data/arena-tag.ts:634

### onOverlap

- onOverlap(arena): void

- #### Parameters

  - arena: Arena

  #### Returns void

  Inherited from ArenaTag.onOverlap

  - Defined in src/data/arena-tag.ts:53

### onRemove

- onRemove(arena): void

- #### Parameters

  - arena: Arena

  #### Returns void

  Overrides ArenaTag.onRemove

  - Defined in src/data/arena-tag.ts:638